public static interface AMQPEndpointBuilderFactory.AMQPBuilders
| Modifier and Type | Method and Description |
|---|---|
default AMQPEndpointBuilderFactory.AMQPEndpointBuilder |
amqp(String path)
AMQP (camel-amqp)
Messaging with AMQP protocol using Apache QPid Client.
|
default AMQPEndpointBuilderFactory.AMQPEndpointBuilder |
amqp(String componentName,
String path)
AMQP (camel-amqp)
Messaging with AMQP protocol using Apache QPid Client.
|
default AMQPEndpointBuilderFactory.AMQPEndpointBuilder amqp(String path)
amqp:destinationType:destinationName
Path parameter: destinationType
The kind of destination to use
Default value: queue
There are 4 enums and the value can be one of: queue, topic,
temp-queue, temp-topic
Path parameter: destinationName (required)
Name of the queue or topic to use as destinationpath - destinationType:destinationNamedefault AMQPEndpointBuilderFactory.AMQPEndpointBuilder amqp(String componentName, String path)
amqp:destinationType:destinationName
Path parameter: destinationType
The kind of destination to use
Default value: queue
There are 4 enums and the value can be one of: queue, topic,
temp-queue, temp-topic
Path parameter: destinationName (required)
Name of the queue or topic to use as destinationcomponentName - to use a custom component name for the endpoint
instead of the default namepath - destinationType:destinationNameApache Camel